<?php

namespace App\Models;

use CodeIgniter\Model;

class CheckinModel extends Model {

	protected $table = 'session_checkin';
	protected $allowedFields = ['session_id', 'guest_id', 'uuid', 'status', 'checked_in', 'checked_in_date', 'secret_key'];

	public function listAss($session_id, $field) {
		$result = $this->where("session_id", $session_id)->get()->getResultArray();
		return array_combine(array_column($result, $field), $result);
	}
}